=== debian/changelog ===
qt-gstreamer (0.10.2-2ubuntu2) saucy; urgency=low

  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 23 Sep 2013 16:31:31 +0200

qt-gstreamer (0.10.2-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Enable unit tests.
      + Build-depend on gstreamer0.10-plugins-base.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 15 Jun 2012 15:03:26 +0200

qt-gstreamer (0.10.2-2) unstable; urgency=low

  * Add patch include_path_multiarch.patch to fix the include path
    indicated by QtGStreamerConfig.cmake so that projects using
    cmake + QtGStreamer do not FTBFS (Closes: #676735).

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Sun, 10 Jun 2012 14:32:21 +0300

qt-gstreamer (0.10.2-1) unstable; urgency=low

  * New upstream release.
    - Individual glib headers are no longer used (Closes: #665602)
  * Remove all patches: No longer needed, the fixes are upstream.
  * Bump versions of (build-)dependencies:
    - cmake >= 2.8.6
    - gstreamer >= 0.10.33
  * Remove build-deps on automoc, flex and bison.
  * Convert to multiarch.
    - Bump debhelper dependency to version 9.
    - Bump debian/compat to 9.
    - Bump Qt build-dep to version 4.8.1 (needed for QML mutliarch).
    - Add build-dep on dpkg-dev (>= 1.16.1~).
    - Adjust packaging to install libraries and plugins
      to the mutliarch location.
  * Update symbols files.
  * Add a new qtgstreamer-declarative package that contains
    the QtGStreamer QML plugin.
  * Update some package descriptions.
    - Remove articles from the description synopsis to satisfy lintian.
    - Mention the new plugins in qtgstreamer-plugins' package descrption.
  * Update and convert debian/copyright to machine-readable format.
  * Bump standards-version to 3.9.3.
  * Add build dependency on libqt4-opengl-dev for compiling the opengl bits.
  * Set -DUSE_QT_PLUGIN_DIR=OFF in debian/rules to workaround
    a weird issue where QT_IMPORTS_DIR is not found.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Sat, 05 May 2012 13:34:04 +0300

qt-gstreamer (0.10.1-2.1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - libqtglib-2.0-0.symbols: Add missing symbol.
    - Enable unit tests.
      + Build-depend on gstreamer0.10-plugins-base.
    - Add patch from upstream to fix FTBFS with glib 2.29.
    - Add patch from upstream to fix FTBFS with glib 2.31.
  * Extend boost1.48.patch to make the tests buildable.
  * Bump debhelper compat level to v9 which exports build flags.
  * Update symbols files.

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 01 May 2012 20:19:35 +0200

qt-gstreamer (0.10.1-2.1) unstable; urgency=low

  * Non-Maintainer Upload.
  
  * patches/boost1.48.patch: New.  Work around moc limitation.  Closes:
    #653796.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2012 05:41:39 -0600
