=== debian/control ===
Source: qt-gstreamer
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               cmake (>= 2.8.6),
               libqt4-dev (>= 4:4.8.1),
               libqt4-opengl-dev (>= 4:4.8.1),
               libboost-dev (>= 1.39),
               libgstreamer0.10-dev (>= 0.10.33),
               libgstreamer-plugins-base0.10-dev (>= 0.10.33),
               gstreamer0.10-plugins-base (>= 0.10.33),
               doxygen,
               graphviz
Standards-Version: 3.9.3
Homepage: http://gstreamer.freedesktop.org

Package: libqtglib-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libstdc++6 (>= 4.5.0~)
Description: C++ bindings library for GLib and GObject with a Qt-style API
 This package contains the QtGLib library, a library that provides
 C++ bindings for parts of the GLib and GObject APIs with a Qt-syle API.
 The bindings are designed to be easy to use for C++ programmers that are
 used to the Qt API and also provide easier integration with Qt by using
 Qt's data types where applicable.
 .
 This library serves as a base for building the QtGStreamer bindings library.
 .
 This package is part of QtGStreamer.

Package: libqtgstreamer-0.10-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ bindings library for GStreamer with a Qt-style API
 This package contains the QtGStreamer library, a library that provides
 C++ bindings for GStreamer with a Qt-style API. The bindings are designed
 to be easy to use for C++ programmers that are used to the Qt API and
 also provide easier integration with Qt by using Qt's data types where
 applicable.

Package: libqtgstreamerui-0.10-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: qtgstreamer-plugins
Description: QtGStreamerUi library
 This package contains the QtGStreamerUi library, a library that provides
 helper classes for integrating GStreamer better in graphical Qt applications.
 .
 This package is part of QtGStreamer.

Package: libqtgstreamerutils-0.10-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: QtGStreamerUtils library
 This package contains the QtGStreamerUtils library, a library that provides
 some high level utility classes that can be used with QtGStreamer.
 .
 This package is part of QtGStreamer.

Package: qtgstreamer-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from QtGStreamer
 This package contains GStreamer plugins that are shipped together with
 the QtGStreamer bindings library. These plugins provide GStreamer elements
 that enable better integration of GStreamer in Qt applications.
 .
 Currently, this package contains the qtvideosink, qtglvideosink and
 qwidgetvideosink elements.

Package: qtgstreamer-declarative
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: QML plugins from QtGStreamer
 This package contains QML plugins that are shipped together with the
 QtGStreamer bindings library. These plugins provide QML elements that
 enable better integration of GStreamer in QML-based GUI applications.

Package: libqtgstreamer-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libqtglib-2.0-0 (= ${binary:Version}),
         libqtgstreamer-0.10-0 (= ${binary:Version}),
         libqtgstreamerui-0.10-0 (= ${binary:Version}),
         libqtgstreamerutils-0.10-0 (= ${binary:Version}),
         libqt4-dev (>= 4:4.8.1),
         libboost-dev (>= 1.39)
Suggests: qtgstreamer-doc
Description: Development headers for QtGStreamer
 QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
 plus some helper classes for integrating GStreamer better in Qt applications.
 .
 This package provides the necessary development files for building
 C++/Qt applications that use the QtGStreamer library.

Package: qtgstreamer-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libqtgstreamer-dev
Description: QtGStreamer API documentation
 QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
 plus some helper classes for integrating GStreamer better in Qt applications.
 .
 This package contains API documentation for the QtGStreamer library
 in html format, generated from the sources with doxygen.

Package: qtgstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         libqtglib-2.0-0 (= ${binary:Version}),
         libqtgstreamer-0.10-0 (= ${binary:Version}),
         libqtgstreamerui-0.10-0 (= ${binary:Version}),
         libqtgstreamerutils-0.10-0 (= ${binary:Version}),
         qtgstreamer-plugins (= ${binary:Version})
Description: Debug symbols for QtGStreamer
 QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
 plus some helper classes for integrating GStreamer better in Qt applications.
 .
 This package contains the debug symbols for the various binaries shipped
 with QtGStreamer.
